Bug 543150 - [abrt] crash detected in blueman-1.21-2.fc12
[abrt] crash detected in blueman-1.21-2.fc12
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: blueman (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Juan Manuel Rodriguez
Fedora Extras Quality Assurance
abrt_hash:2678a5ea
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-01 14:20 EST by João Carlos Mendes Luís
Modified: 2010-12-03 21:26 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 21:26:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (931 bytes, text/plain)
2009-12-01 14:20 EST, João Carlos Mendes Luís
no flags Details

  None (edit)
Description João Carlos Mendes Luís 2009-12-01 14:20:28 EST
abrt 1.0.0 detected a crash.

backtrace
-----
Summary: TB2678a5ea ManagerDeviceMenu.py:227:Generate:TypeError: 'bool' object is unsubscriptable

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/blueman/gui/manager/ManagerDeviceList.py", line 169, in on_event_clicked
    self.menu = ManagerDeviceMenu(self.Blueman)
  File "/usr/lib/python2.6/site-packages/blueman/gui/manager/ManagerDeviceMenu.py", line 59, in __init__
    self.Generate()
  File "/usr/lib/python2.6/site-packages/blueman/gui/manager/ManagerDeviceMenu.py", line 227, in Generate
    device = self.Blueman.List.get(self.Blueman.List.selected(), "device")["device"]
TypeError: 'bool' object is unsubscriptable

Local variables in innermost frame:
self: <ManagerDeviceMenu object at 0x97cbc5c (GtkMenu at 0x95d8ce8)>
appl: <Interface <ProxyObject wrapping <dbus._dbus.SessionBus (session) at 0x97cf14c> org.blueman.Applet / at 0x98c150c> implementing 'org.blueman.Applet' at 0x97d20ac>

cmdline: /usr/bin/python /usr/bin/blueman-manager 
component: blueman
executable: /usr/bin/blueman-manager
kernel: 2.6.31.6-145.fc12.i686.PAE
package: blueman-1.21-2.fc12
uuid: 2678a5ea
Comment 1 João Carlos Mendes Luís 2009-12-01 14:20:30 EST
Created attachment 375172 [details]
File: backtrace
Comment 2 Henrique Doiche 2010-03-11 11:52:33 EST

Comment
-----
PulseAudio + bluetooth + blueman
Comment 3 Henrique Doiche 2010-03-11 14:56:01 EST

Comment
-----
PulseAudio + bluetooth + blueman
Comment 4 Todd Savoie 2010-03-17 22:42:48 EDT

How to reproduce
-----
1. Pairing Mouse
2.
3.


Comment
-----
Paring Mous
Comment 5 Daniel Demus 2010-04-20 04:19:52 EDT

Comment
-----
Connecting and disconnecting from GPS receiver
Disabled and enabled bluetooth via applet
Comment 6 Bug Zapper 2010-11-04 00:43:27 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-12-03 21:26:23 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.